Update a project template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/project-templates/{instance_id}

Update the name, the description or the production settings of a project template. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the project template

application/json

Body Required

  • name string
  • description string
  • fps string
  • ratio string
  • resolution string
  • production_type string
  • production_style string

Responses

  • 200

    The updated project template

  • 400

    A value is not valid

  • 403

    You are not an administrator

  • 404

    The project template does not exist

PUT /data/project-templates/{instance_id}
curl \
 --request PUT '/api/data/project-templates/a24a6ea4-ce75-4665-a070-57453082c250' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "string",
  "description": "string",
  "fps": "string",
  "ratio": "string",
  "resolution": "string",
  "production_type": "string",
  "production_style": "string"
}'
Request examples
{
  "name": "string",
  "description": "string",
  "fps": "string",
  "ratio": "string",
  "resolution": "string",
  "production_type": "string",
  "production_style": "string"
}